Bug 501555 - Squid often crashes with multiple assertions
Summary: Squid often crashes with multiple assertions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 12
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-19 18:07 UTC by Oleg Drokin
Modified: 2014-11-09 22:31 UTC (History)
6 users (show)

Fixed In Version: squid-3.1.3-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-01 18:21:17 UTC


Attachments (Terms of Use)

Description Oleg Drokin 2009-05-19 18:07:11 UTC
Description of problem:
Often squid dies on one of my servers with this diagnostic in cache.log:
2009/04/17 13:28:24| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING" or
2009/04/23 12:56:12| assertion failed: store_client.cc:430: "STORE_DISK_CLIENT == getType()"
with occasional
2009/05/18 16:08:50| assertion failed: comm.cc:115: "ccb->active == false"

Version-Release number of selected component (if applicable):
squid-3.0.STABLE13-1.fc10.x86_64

Happened with previous releases, I think I see it for 6 months or so already.
HEre are the stats for past month:
# zgrep assert cache.log.* cache.log  | grep forward | wc -l
47
# zgrep assert cache.log.* cache.log  | grep store | wc -l
65
# zgrep assert cache.log.* cache.log  | grep comm | wc -l
6

I have "coredump_dir /var/spool/squid" line in my config file, though no core files were generated.

How reproducible:
Regularly.

Additional info:
Config file available if needed.

Comment 1 Oleg Drokin 2009-05-19 18:20:32 UTC
Another thing I wanted to add is this really does happen in packs.
Here is a full list for yesterday, for example.

2009/05/18 11:04:08| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:04:16| assertion failed: comm.cc:115: "ccb->active == false"
2009/05/18 11:04:50| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:05:08| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:05:51| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:14:41| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:16:28| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:16:37| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:18:20| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 11:18:50| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 12:28:23| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 12:28:45| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 12:30:30| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 13:34:37| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 13:34:45| assertion failed: comm.cc:115: "ccb->active == false"
2009/05/18 13:34:50| assertion failed: comm.cc:115: "ccb->active == false"
2009/05/18 13:34:57| assertion failed: comm.cc:115: "ccb->active == false"
2009/05/18 13:37:23| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 13:42:21| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 13:42:28| assertion failed: comm.cc:115: "ccb->active == false"
2009/05/18 15:27:49| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 15:28:47| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 15:29:53| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 15:33:01| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 15:36:10| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 15:40:54| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 15:42:15| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 15:43:14| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:08:50| assertion failed: comm.cc:115: "ccb->active == false"
2009/05/18 16:08:59| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:10:00| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:10:28| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:11:21| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:12:38| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:12:47| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:13:28| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:15:10| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:16:24| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:17:37| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:23:08| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:29:12| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:31:19| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:33:00| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:33:55| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"
2009/05/18 16:34:16| assertion failed: forward.cc:324: "entry->store_status == STORE_PENDING"

Comment 2 Henrik Nordström 2009-08-04 21:19:38 UTC
Upstream reports:

ccb->active:
http://www.squid-cache.org/bugs/show_bug.cgi?id=2496

store_status == STORE_PENDING:
http://www.squid-cache.org/bugs/show_bug.cgi?id=2543

Comment 3 Bug Zapper 2009-11-18 10:03:08 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Henrik Nordström 2009-11-18 15:30:58 UTC
Still open upstream.

Comment 5 Jiri Skala 2010-05-14 06:10:45 UTC
Bugs in upstream BZ mentioned in comment #2 are fixed and sources are in Fedora. Could verify and put here a report to identify if this bug is still active or can be closed?

Thanks Jiri

Comment 6 Fedora Update System 2010-05-14 06:45:49 UTC
squid-3.1.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc13

Comment 7 Fedora Update System 2010-05-14 06:47:52 UTC
squid-3.1.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc12

Comment 8 Oleg Drokin 2010-05-14 14:46:40 UTC
Actually I recently upgraded the server in question to FC12 (squid 3.1.1-1) and have not seen these assertions since (for about a month).
I guess this could be closed.

Comment 9 Fedora Update System 2010-05-15 20:19:20 UTC
squid-3.1.3-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc12

Comment 10 Fedora Update System 2010-05-15 20:38:35 UTC
squid-3.1.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc13

Comment 11 Fedora Update System 2010-06-01 18:20:53 UTC
squid-3.1.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-06-01 18:25:26 UTC
squid-3.1.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.